{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "<script>\n",
    "  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){\n",
    "  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),\n",
    "  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)\n",
    "  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');\n",
    "\n",
    "  ga('create', 'UA-50838873-3', 'auto');\n",
    "  ga('send', 'pageview');\n",
    "\n",
    "</script>"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# Area Between Curves and Wealth Distribution"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 10,
   "metadata": {},
   "outputs": [],
   "source": [
    "import matplotlib.pyplot as plt\n",
    "import numpy as np\n",
    "import pandas as pd\n",
    "from scipy.integrate import quad"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [],
   "source": [
    "#define y = x\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {},
   "outputs": [],
   "source": [
    "#define y = sqrt(x)\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {},
   "outputs": [],
   "source": [
    "#plot on 0, 1\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {},
   "outputs": [],
   "source": [
    "#area between?\n"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**EX:** Consider $y = \\sqrt{x}$ and $y = x^2$"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {},
   "outputs": [],
   "source": [
    "#define functions\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "metadata": {},
   "outputs": [],
   "source": [
    "#plot\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "metadata": {},
   "outputs": [],
   "source": [
    "#domain?\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 9,
   "metadata": {},
   "outputs": [],
   "source": [
    "#solution\n"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "1. $f(x) = \\sin{x}$ and $g(x) = \\cos{x}$ on $[0, \\pi]$\n",
    "2. Between $f(x) = 3x + 4$ and $g(x) = x^2$"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# Wealth Distribution\n",
    "\n",
    "One way that we might understand equality is through understanding the distribution of wealth in a society.  Perfect wealth distribution would mean that all participants have the same share of wealth as everyone else.  We can represent this situation mathematically with a function $L(x) = x$ that we will call the **Lorenz Curve**. \n",
    "\n",
    "Concretely, if we were to look at every 20% of the population, we would see 20% of income.\n",
    "\n",
    "| Fifths of Households | Percent of Wealth |\n",
    "| -------------------  | -------------     |\n",
    "| Lowest Fifth | 20 |\n",
    "| Lowest two - Fifths | 40 |\n",
    "| Lowest three - Fifths | 60 |\n",
    "| Lowest four - Fifths | 80 |\n",
    "| Lowest five - Fifths | 100 |\n",
    "\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [],
   "source": [
    "percent = [0, 0.2, 0.4, 0.6, 0.8, 1.0]\n",
    "lorenz = [0, 0.2, 0.4, 0.6, 0.8, 1.0]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "Text(0.5,1,'Perfect Wealth Distribution')"
      ]
     },
     "execution_count": 3,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAXcAAAEICAYAAACktLTqAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nTXODAAAAAElFTkSuQmCC\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x107e3a710>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "plt.plot(percent, lorenz, '-o')\n",
    "plt.title(\"Perfect Wealth Distribution\")"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "It is unlikely that we have perfect distribution of wealth in a society however.  For example, the following table describes the cumulative distribution of income in the United States for the year 1994.  \n",
    "\n",
    "| Fifths of Households | Percent of Wealth |\n",
    "| -------------------  | -------------     |\n",
    "| Lowest Fifth | 4.2 |\n",
    "| Lowest two - Fifths | 14.2 |\n",
    "| Lowest three - Fifths | 29.9 |\n",
    "| Lowest four - Fifths | 53.2 |\n",
    "| Lowest five - Fifths | 100.0 |"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {},
   "outputs": [],
   "source": [
    "usa_94 = [0, 0.042, 0.142, 0.299, 0.532, 1.00]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<matplotlib.legend.Legend at 0x11042e630>"
      ]
     },
     "execution_count": 5,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAh4AAAE/CAYAAAAJ28pEAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\n3G5j0NeaWGkAAAAASUVORK5CYII=\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x107e70278>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "plt.figure(figsize = (9, 5))\n",
    "plt.plot(percent, lorenz, '-o', label = 'Lorenz Curve')\n",
    "plt.plot(percent, usa_94, '-o', label = 'USA 1994')\n",
    "plt.title(\"The Difference between Perfect and Actual Wealth Equality\")\n",
    "plt.legend(loc = 'best', frameon = False)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "The area between these curves can be understood to represent the discrepency between perfect wealth distribution and levels of inequality.  Further, if we examine the ratio between this area and that under the **Lorenz Curve** we get the **Gini Index**.  \n",
    "\n",
    "One big issue remains however.  We don't want to use rectangles to approximate these regions but we don't have equations for the actual distribution of wealth.  We introduce two curve fitting techniques using `numpy` to address this problem."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "## Quadratic Fit\n",
    "\n",
    "The curve in the figure above representing the actual distribution of wealth in the USA in 1994 can be approximated by a polynomial function.  NumPy has a function called `polyfit` that will fit a polynomial to a set of points.  Here, we use `polyfit` to fit a quadratic function to the points."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### Getting the Fit\n",
    "\n",
    "Below, we return to the complete picture where we plot our fitted function and the **Lorenz Curve** and shade the area that represents the difference in income distribution."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Now, we want to compute the ratio between the area between the curves to that under the **Lorenz Curve**.  We can do this easily using our `quad` function for estimating integrals."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### Inequality through Time\n",
    "\n",
    "Now that we understand how to compute the Gini Index, we want to explore what improving the gap in wealth distribution would mean.  "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 14,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<matplotlib.legend.Legend at 0x11aa4e860>"
      ]
     },
     "execution_count": 14,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAA1YAAAJvCAYAAAB4XkC6AAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nDHgtdAAAAABJRU5ErkJggg==\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11a9fb4a8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "x = np.linspace(0, 1, 100)\n",
    "plt.figure(figsize = (10, 7))\n",
    "plt.plot(x, x)\n",
    "plt.plot(x, x**2, label = \"Country A\")\n",
    "plt.plot(x, x**4, label = \"Country B\")\n",
    "plt.plot(x, x**8, label = \"Country C\")\n",
    "plt.plot(x, x**16, label = \"Country D\")\n",
    "plt.ylabel(\"Income Percent\")\n",
    "plt.xlabel(\"Population Fraction\")\n",
    "plt.title(\"Different Wealth Distributions\")\n",
    "plt.legend(loc = \"best\", frameon = False)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Which of the above countries do you believe is the most equitable?  Why?\n",
    "\n"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### Census Bureau Data and Pandas\n",
    "\n",
    "There are many organizations that use the Gini Index to this day.  The OECD, World Bank, and US Census all track Gini Indicies.  We want to investigate the real data much as we have with our smaller examples.  To do so, we will use the Pandas library.  \n",
    "\n",
    "The table below gives distribution data for the years 1970, 1980, 1990, and 2000.  \n",
    "\n",
    "| x | 0.0 | 0.2 | 0.4 | 0.6 | 0.8 | 1.0 |\n",
    "| --- | --- | --- | --- | --- | --- | --- |\n",
    "| 1970 | 0.000 | 0.041 | 0.149 | 0.323 | 0.568 | 1.000 |\n",
    "| 1980 | 0.000 | 0.042 | 0.144 | 0.312 | 0.559 | 1.000 |\n",
    "| 1990 | 0.000 | 0.038 | 0.134 | 0.293 | 0.530 | 1.000 |\n",
    "| 2000 | 0.000 | 0.036 | 0.125 | 0.273 | 0.503 | 1.000 |\n",
    "\n",
    "#### Creating the DataFrame\n",
    "\n",
    "We will begin by creating a table from this data by entering lists with these values and creating a DataFrame from these lists.  \n",
    "\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 15,
   "metadata": {
    "collapsed": true,
    "jupyter": {
     "outputs_hidden": true
    }
   },
   "outputs": [],
   "source": [
    "import pandas as pd\n",
    "seventies = [0, 0.041, 0.149, 0.323, 0.568, 1.0]\n",
    "eighties = [0, 0.042, 0.144, 0.312, 0.559, 1.0]\n",
    "nineties = [0, 0.038, 0.134, 0.293, 0.53, 1.0]\n",
    "twothou = [0, 0.036, 0.125, 0.273, 0.503, 1.0]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 16,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>1970s</th>\n",
       "      <th>1980s</th>\n",
       "      <th>1990s</th>\n",
       "      <th>2000s</th>\n",
       "      <th>perfect</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>0.000</td>\n",
       "      <td>0.000</td>\n",
       "      <td>0.000</td>\n",
       "      <td>0.000</td>\n",
       "      <td>0.0</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.041</td>\n",
       "      <td>0.042</td>\n",
       "      <td>0.038</td>\n",
       "      <td>0.036</td>\n",
       "      <td>0.2</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.149</td>\n",
       "      <td>0.144</td>\n",
       "      <td>0.134</td>\n",
       "      <td>0.125</td>\n",
       "      <td>0.4</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.323</td>\n",
       "      <td>0.312</td>\n",
       "      <td>0.293</td>\n",
       "      <td>0.273</td>\n",
       "      <td>0.6</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.568</td>\n",
       "      <td>0.559</td>\n",
       "      <td>0.530</td>\n",
       "      <td>0.503</td>\n",
       "      <td>0.8</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "   1970s  1980s  1990s  2000s  perfect\n",
       "0  0.000  0.000  0.000  0.000      0.0\n",
       "1  0.041  0.042  0.038  0.036      0.2\n",
       "2  0.149  0.144  0.134  0.125      0.4\n",
       "3  0.323  0.312  0.293  0.273      0.6\n",
       "4  0.568  0.559  0.530  0.503      0.8"
      ]
     },
     "execution_count": 16,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df = pd.DataFrame({'1970s': seventies, '1980s':eighties, '1990s': nineties,\n",
    "                  '2000s': twothou, 'perfect': [0, 0.2, 0.4, 0.6, 0.8, 1.0]})\n",
    "df.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### Problems\n",
    "\n"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "\n",
    "\n",
    "**Problem 1**: Consider $y = x$ and $y = x^2$.  What is the Gini Coefficient between these curves?\n",
    "\n",
    "\n",
    "**Problem 2**: Use the table below to find the Lorenz curve for the data.\n",
    "\n",
    "| Fraction of People | Fraction of Income |\n",
    "| ----------------   | ------------------ |\n",
    "| 0.0 | 0.0 |\n",
    "| 0.2 | 0.06 |\n",
    "| 0.4 | 0.18 |\n",
    "| 0.6 | 0.36 |\n",
    "| 0.8 | 0.60 |\n",
    "| 1.0 | 1.00 |\n",
    "\n",
    "**Problem 3**: Let the fraction of population be the variable $p$ and the fraction of the resource to be $r$.  Use the symbols to write the equation for perfect equality.\n",
    "\n",
    "\n",
    "**Problem 4**: The table below shows how arable land is distributed among farmers in Blivia, Denmark, and the United States.  In which country is the land most equally distributed?  The least?\n",
    "\n",
    "| Fraction of Farmers | Fraction of Land Bolivia | Denmark | United States |\n",
    "| -----------------   | -----------------------  | -------- | ------------ |\n",
    "| 0.0 | 0.0 | 0.0 | 0.0 |\n",
    "| 0.1 | 0.0 | 0.06 | 0.025 |\n",
    "| 0.2 | 0.0 | 0.12 | 0.05 |\n",
    "| 0.3 | 0.0 | 0.18 | 0.075 |\n",
    "| 0.4 | 0.0 | 0.24 | 0.10 | \n",
    "| 0.5 | 0.010 | 0.30 | 0.13 |\n",
    "| 0.6 | 0.016 | 0.36 | 0.18 |\n",
    "| 0.7 | 0.022 | 0.45 | 0.22 |\n",
    "| 0.8 | 0.03 | 0.54 | 0.28 |\n",
    "| 0.9 | 0.04 | 0.70 | 0.42 |\n",
    "| 1.0 | 1.00 | 1.00 | 1.00 |"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**Problem 5**: The table below shows how population was divided among the 25 largest countries in 1963 and 1968.  Was there change in the population distribution between 1963 and 1968? How would the Lorenz curves for 1963 and 1968 compare? \n",
    "\n",
    "| Fraction of Countries | Fraction of Population 1963 | 1968 |\n",
    "| --------------------  | --------------------------  | ----- |\n",
    "| 0.0 | 0.0 | 0.0 |\n",
    "| 0.2 | 0.046 | 0.048 |\n",
    "| 0.4 | 0.105 | 0.107 |\n",
    "| 0.6 | 0.193 | 0.194 |\n",
    "| 0.8 | 0.345 | 0.347 |\n",
    "| 1.0 | 1.000 | 1.00  |"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**Problem 6**: The table below shows how total energy produced and total energy consumed was divided among the 25 largest producers and users of energy in 1963.  Draw the corresponding Lornez curves on the same set of coordinates.  Was production of energy more or less equally divided than was use of energy?\n",
    "\n",
    "| Fraction of Countries | Energy Used | Energy Produced |\n",
    "| --------------------- | ----------  | --------------- |\n",
    "| 0.0  | 0.00 | 0.00 |\n",
    "| 0.2 | 0.027 | 0.032 |\n",
    "| 0.4 | 0.065 | 0.084 | \n",
    "| 0.6 | 0.135 | 170 |\n",
    "| 0.8 | 0.266 | 0.3031 |\n",
    "| 1.0 | 1.000 | 1.0000 |"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**Problem 7**: Letting $p$ stand for the fraction of the population and $r$ for the fraction of the resource, consider the family of Lorenz curve given by the equation \n",
    "\n",
    "$$r = p^n; \\quad n = 1,2,3,4,...$$\n",
    "\n",
    "- To what situation does $n = 1$ correspond?\n",
    "\n",
    "- In what way is the number $n$ a measure of the equlaity of distribution?\n",
    "\n",
    "- To what situation does the Lorenz curve $r = p^n$ correspond in the case as $n \\to \\infty$"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**Problem 8**: The table below shows how gross national product (GNP) is distributed among the countries of the world:\n",
    "\n",
    "| Fraction of Countries | Fraction of GNP |\n",
    "| --------------------- | --------------- |\n",
    "| 0.0 | 0.0 |\n",
    "| 0.1 | 0.001 | \n",
    "| 0.2 | 0.002 | \n",
    "| 0.3 | 0.005 | \n",
    "| 0.4 | 0.010 |\n",
    "| 0.5 | 0.018 | \n",
    "| 0.6 | 0.028 | \n",
    "| 0.7 | 0.058 |\n",
    "| 0.8 | 0.11 |\n",
    "| 0.9 | 0.21 |\n",
    "| 1.0 | 1.00 |\n",
    "\n",
    "a. Determine the Lorenz Curve for this data using the model you deem most appropriate.\n",
    "\n",
    "b. Draw the Lorenz Curve and the curve for completely unequal distribution on the same axes.\n",
    "\n",
    "c. Is the GNP divided equally or unequally among the countries of the world?  "
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**Problem 9**: Use the library to find a research article that investigates the Gini Coefficient.  Describe the research, what were they investigating, what was the data, and what did they find.  "
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**Problem 10**: The US Census provides data that could be used in an analysis of distribution of resources.  One such dataset is the [Wealth, Asset Ownership, & Debt of Households](https://www.census.gov/data/tables/2017/demo/wealth/wealth-asset-ownership.html). Use this data to analyze the equality of the distribution of debt -- or find another data table that is of interest and makes sense to use in an analysis of distribution of resources."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.3"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 4
}
